Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3CanvasPixmap Class Reference

The Q3CanvasPixmap class provides pixmaps for Q3CanvasSprites. More...

    #include <Q3CanvasPixmap>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits QPixmap.

- List of all members, including inherited members

### Public Functions

- Q3CanvasPixmap ( const QString & datafilename )
- Q3CanvasPixmap ( const QImage & image )
- Q3CanvasPixmap ( const QPixmap & pm, const QPoint & offset )
- ~Q3CanvasPixmap ()
- int offsetX () const
- int offsetY () const
- void setOffset ( int x, int y )

- 39 public functions inherited from QPixmap
- 10 public functions inherited from QPaintDevice

### Static Public Members

- 6 static public members inherited from QPixmap

### Protected Functions

- 1 protected function inherited from QPixmap

## Detailed Description

The Q3CanvasPixmap class provides pixmaps for Q3CanvasSprites.

If you want to show a single pixmap on a Q3Canvas use a Q3CanvasSprite with just one pixmap.

When pixmaps are inserted into a Q3CanvasPixmapArray they are held as Q3CanvasPixmaps. Q3CanvasSprites are used to show pixmaps on Q3Canvases and hold their pixmaps in a Q3CanvasPixmapArray. If you retrieve a frame (pixmap) from a Q3CanvasSprite it will be returned as a Q3CanvasPixmap.

The pixmap is a QPixmap and can only be set in the constructor. There are three different constructors, one taking a QPixmap, one a QImage and one a file name that refers to a file in any supported file format (see QImageIO).

Q3CanvasPixmap can have a hotspot which is defined in terms of an (x, y) offset. When you create a Q3CanvasPixmap from a PNG file or from a QImage that has a QImage::offset(), the offset() is initialized appropriately, otherwise the constructor leaves it at (0, 0). You can set it later using setOffset(). When the Q3CanvasPixmap is used in a Q3CanvasSprite, the offset position is the point at Q3CanvasItem::x() and Q3CanvasItem::y(), not the top-left corner of the pixmap.

Note that for Q3CanvasPixmap objects created by a Q3CanvasSprite, the position of each Q3CanvasPixmap object is set so that the hotspot stays in the same position.

See also Q3CanvasPixmapArray, Q3CanvasItem, and Q3CanvasSprite.

## Member Function Documentation

### Q3CanvasPixmap::Q3CanvasPixmap ( const QString & datafilename )

Constructs a Q3CanvasPixmap that uses the image stored in datafilename.

### Q3CanvasPixmap::Q3CanvasPixmap ( const QImage & image )

Constructs a Q3CanvasPixmap from the image image.

### Q3CanvasPixmap::Q3CanvasPixmap ( const QPixmap & pm, const QPoint & offset )

Constructs a Q3CanvasPixmap from the pixmap pm using the offset offset.

### Q3CanvasPixmap::~Q3CanvasPixmap ()

Destroys the pixmap.

### int Q3CanvasPixmap::offsetX () const

Returns the x-offset of the pixmap's hotspot.

See also setOffset().

### int Q3CanvasPixmap::offsetY () const

Returns the y-offset of the pixmap's hotspot.

See also setOffset().

### void Q3CanvasPixmap::setOffset ( int x, int y )

Sets the offset of the pixmap's hotspot to (x, y).

Warning: Do not call this function if any Q3CanvasSprites are currently showing this pixmap.